#!/bin/sh 
#
# mediabind.sh	Make /media a bind mount
#
#
. /etc/default/rcS

test "$VERBOSE" != no && echo -n "Making /media a bind mount..."

if mount|grep ' on /media type' > /dev/null
then
	# /media is already a mount point. No work for us.
	exit 0
else
	# Bind mount /media so we can make it shared later.
	if mount|grep ' on /media/' > /dev/null
	then
		# Oh, no. We already have submounts.
		# We would loose those on a bind-mount so let's just quit.
		test "$VERBOSE" != no && echo "failed."
		exit 0
	fi
	mount --bind /media /media
fi

test "$VERBOSE" != no && echo "done."
